
ColorTesterCommand = Turbine.ShellCommand();

------------------------------------------------------------------------------------------
-- commands
------------------------------------------------------------------------------------------
function ColorTesterCommand:Execute( command, arguments )

-- Turn arguments to lower case characters --
	local args, value = arguments:match "(pas) (.*)";

	arguments = string.lower(arguments);

	-- Help command--
	if ( arguments == "help" ) then
		Turbine.Shell.WriteLine(Strings.PluginHelp);
	elseif ( arguments == "show" ) then
		ColorTesterWindow:SetVisible(true);
		settings["isWindowVisible"]["isWindowVisible"] = true;
		SaveSettings();
	elseif ( arguments == "hide" ) then
		ColorTesterWindow:SetVisible(false);
		settings["isWindowVisible"]["isWindowVisible"] = false;
		SaveSettings();
	elseif ( arguments == "hide" ) then
		ColorTesterWindow:SetVisible(false);
		settings["isWindowVisible"]["isWindowVisible"] = false;
		SaveSettings();
	elseif ( args == "pas" ) then
		if(tonumber(value) > 1) then
			value = 1;
		elseif(tonumber(value) < 0)then
			value = 0;
		else
			settings["colorHandler"]["cPas"] = value;
		end
		UpdateWindow();
	elseif ( arguments == "clear" ) then
		settings["colorHandler"]["cAlpha"] = 1;
		settings["colorHandler"]["cRed"] = 1;
		settings["colorHandler"]["cBlue"] = 1;
		settings["colorHandler"]["cGreen"] = 1;
		settings["colorHandler"]["cPas"] = 1;
		UpdateWindow();
	end
end

Turbine.Shell.AddCommand( "ColTest;ColorTester", ColorTesterCommand );