------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
function CreateMainWindow()
	
	ColorTesterWindow=Turbine.UI.Lotro.GoldWindow(); 
	ColorTesterWindow:SetSize(500,300); 
	ColorTesterWindow:SetText(Strings.PluginName); 
	ColorTesterWindow.Message=Turbine.UI.Label(); 
	ColorTesterWindow.Message:SetParent(ColorTesterWindow); 
	ColorTesterWindow.Message:SetSize(150,10); 
	ColorTesterWindow.Message:SetPosition(ColorTesterWindow:GetWidth()/2 - 75, ColorTesterWindow:GetHeight() - 18); 
	ColorTesterWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	ColorTesterWindow.Message:SetText(Strings.PluginText); 
	ColorTesterWindow:SetZOrder(0);
	ColorTesterWindow:SetWantsKeyEvents(true);

	
	ColorTesterWindow:SetPosition((Turbine.UI.Display:GetWidth()-ColorTesterWindow:GetWidth())/2,(Turbine.UI.Display:GetHeight()-ColorTesterWindow:GetHeight())/2);

	------------------------------------------------------------------------------------------
	-- yel helper center window
	------------------------------------------------------------------------------------------

	textBoxlabel1 = Turbine.UI.Label();
	textBoxlabel1:SetParent( ColorTesterWindow );
	textBoxlabel1:SetSize(150, 40); 
	textBoxlabel1:SetPosition(50, 60);
	textBoxlabel1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
	textBoxlabel1:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16);
	textBoxlabel1:SetText("Turbine.UI.Color (");
	textBoxlabel1:SetForeColor( Turbine.UI.Color.Gold);
	textBoxlabel1:SetVisible(true);


	textBoxlabelPlus1 = Turbine.UI.Label();
	textBoxlabelPlus1:SetParent( ColorTesterWindow );
	textBoxlabelPlus1:SetSize(25, 25); 
	textBoxlabelPlus1:SetPosition(212, 35);
	textBoxlabelPlus1:SetText("");
	textBoxlabelPlus1:SetBackground( 0x41000269);
	textBoxlabelPlus1:SetBlendMode(Turbine.UI.BlendMode.Overlay);

	if(settings["colorHandler"]["cAlpha"] <= 1 and settings["colorHandler"]["cAlpha"] > 0)then
		textBoxlabelPlus1:SetMouseVisible(true);
		textBoxlabelPlus1:SetVisible(true);
	else
		textBoxlabelPlus1:SetMouseVisible(false);
		textBoxlabelPlus1:SetVisible(false);
	end

	textBoxSlots1 = Turbine.UI.Lotro.TextBox();
	textBoxSlots1:SetParent( ColorTesterWindow );
	textBoxSlots1:SetSize(50, 40); 
	textBoxSlots1:SetPosition(200, 60);
	textBoxSlots1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	textBoxSlots1:SetText(settings["colorHandler"]["cAlpha"]);
	textBoxSlots1:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));
	textBoxSlots1:SetBackColor( Turbine.UI.Color( .9, .5, .7, .5));	
	textBoxSlots1:SetVisible(true);

	textBoxlabelMoin1 = Turbine.UI.Label();
	textBoxlabelMoin1:SetParent( ColorTesterWindow );
	textBoxlabelMoin1:SetSize(25, 25); 
	textBoxlabelMoin1:SetPosition(212, 100);
	textBoxlabelMoin1:SetText("");
	textBoxlabelMoin1:SetBackground( 0x41000266 );
	textBoxlabelMoin1:SetBlendMode(Turbine.UI.BlendMode.Overlay);

	if(settings["colorHandler"]["cAlpha"] < 1 and settings["colorHandler"]["cAlpha"] >= 0)then
		textBoxlabelMoin1:SetMouseVisible(true);
		textBoxlabelMoin1:SetVisible(true);
	else
		textBoxlabelMoin1:SetMouseVisible(false);
		textBoxlabelMoin1:SetVisible(false);
	end

	textBoxlabelPlus2 = Turbine.UI.Label();
	textBoxlabelPlus2:SetParent( ColorTesterWindow );
	textBoxlabelPlus2:SetSize(25, 25); 
	textBoxlabelPlus2:SetPosition(267, 35);
	textBoxlabelPlus2:SetText("");
	textBoxlabelPlus2:SetBackground( 0x41000269);
	textBoxlabelPlus2:SetBlendMode(Turbine.UI.BlendMode.Overlay);

	if(settings["colorHandler"]["cRed"] <= 1 and settings["colorHandler"]["cRed"] > 0)then
		textBoxlabelPlus2:SetMouseVisible(true);
		textBoxlabelPlus2:SetVisible(true);
	else
		textBoxlabelPlus2:SetMouseVisible(false);
		textBoxlabelPlus2:SetVisible(false);
	end

	textBoxSlots2 = Turbine.UI.Lotro.TextBox();
	textBoxSlots2:SetParent( ColorTesterWindow );
	textBoxSlots2:SetSize(50, 40); 
	textBoxSlots2:SetPosition(255, 60);
	textBoxSlots2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	textBoxSlots2:SetText(settings["colorHandler"]["cRed"]);
	textBoxSlots2:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));
	textBoxSlots2:SetBackColor( Turbine.UI.Color( .9, .5, .7, .5));	
	textBoxSlots2:SetVisible(true);

	textBoxlabelMoin2 = Turbine.UI.Label();
	textBoxlabelMoin2:SetParent( ColorTesterWindow );
	textBoxlabelMoin2:SetSize(25, 25); 
	textBoxlabelMoin2:SetPosition(267, 100);
	textBoxlabelMoin2:SetText("");
	textBoxlabelMoin2:SetBackground( 0x41000266 );
	textBoxlabelMoin2:SetBlendMode(Turbine.UI.BlendMode.Overlay);

	if(settings["colorHandler"]["cRed"] < 1 and settings["colorHandler"]["cRed"] >= 0)then
		textBoxlabelMoin2:SetMouseVisible(true);
		textBoxlabelMoin2:SetVisible(true);
	else
		textBoxlabelMoin2:SetMouseVisible(false);
		textBoxlabelMoin2:SetVisible(false);
	end

	textBoxlabelPlus3 = Turbine.UI.Label();
	textBoxlabelPlus3:SetParent( ColorTesterWindow );
	textBoxlabelPlus3:SetSize(25, 25); 
	textBoxlabelPlus3:SetPosition(322, 35);
	textBoxlabelPlus3:SetText("");
	textBoxlabelPlus3:SetBackground( 0x41000269);
	textBoxlabelPlus3:SetBlendMode(Turbine.UI.BlendMode.Overlay);

	if(settings["colorHandler"]["cBlue"] <= 1 and settings["colorHandler"]["cBlue"] > 0)then
		textBoxlabelPlus3:SetMouseVisible(true);
		textBoxlabelPlus3:SetVisible(true);
	else
		textBoxlabelPlus3:SetMouseVisible(false);
		textBoxlabelPlus3:SetVisible(false);
	end

	textBoxSlots3 = Turbine.UI.Lotro.TextBox();
	textBoxSlots3:SetParent( ColorTesterWindow );
	textBoxSlots3:SetSize(50, 40); 
	textBoxSlots3:SetPosition(310, 60);
	textBoxSlots3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	textBoxSlots3:SetText(settings["colorHandler"]["cBlue"]);
	textBoxSlots3:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));
	textBoxSlots3:SetBackColor( Turbine.UI.Color( .9, .5, .7, .5));	
	textBoxSlots3:SetVisible(true);

	textBoxlabelMoin3 = Turbine.UI.Label();
	textBoxlabelMoin3:SetParent( ColorTesterWindow );
	textBoxlabelMoin3:SetSize(25, 25); 
	textBoxlabelMoin3:SetPosition(322, 100);
	textBoxlabelMoin3:SetText("");
	textBoxlabelMoin3:SetBackground( 0x41000266 );
	textBoxlabelMoin3:SetBlendMode(Turbine.UI.BlendMode.Overlay);

	if(settings["colorHandler"]["cBlue"] < 1 and settings["colorHandler"]["cBlue"] >= 0)then
		textBoxlabelMoin3:SetMouseVisible(true);
		textBoxlabelMoin3:SetVisible(true);
	else
		textBoxlabelMoin3:SetMouseVisible(false);
		textBoxlabelMoin3:SetVisible(false);
	end

	textBoxlabelPlus4 = Turbine.UI.Label();
	textBoxlabelPlus4:SetParent( ColorTesterWindow );
	textBoxlabelPlus4:SetSize(25, 25); 
	textBoxlabelPlus4:SetPosition(377, 35);
	textBoxlabelPlus4:SetText("");
	textBoxlabelPlus4:SetBackground( 0x41000269);
	textBoxlabelPlus4:SetBlendMode(Turbine.UI.BlendMode.Overlay);

	if(settings["colorHandler"]["cGreen"] <= 1 and settings["colorHandler"]["cGreen"] > 0)then
		textBoxlabelPlus4:SetMouseVisible(true);
		textBoxlabelPlus4:SetVisible(true);
	else
		textBoxlabelPlus4:SetMouseVisible(false);
		textBoxlabelPlus4:SetVisible(false);
	end

	textBoxSlots4 = Turbine.UI.Lotro.TextBox();
	textBoxSlots4:SetParent( ColorTesterWindow );
	textBoxSlots4:SetSize(50, 40); 
	textBoxSlots4:SetPosition(365, 60);
	textBoxSlots4:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	textBoxSlots4:SetText(settings["colorHandler"]["cGreen"]);
	textBoxSlots4:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));
	textBoxSlots4:SetBackColor( Turbine.UI.Color( .9, .5, .7, .5));	
	textBoxSlots4:SetVisible(true);

	textBoxlabelMoin4 = Turbine.UI.Label();
	textBoxlabelMoin4:SetParent( ColorTesterWindow );
	textBoxlabelMoin4:SetSize(25, 25); 
	textBoxlabelMoin4:SetPosition(377, 100);
	textBoxlabelMoin4:SetText("");
	textBoxlabelMoin4:SetBackground( 0x41000266 );
	textBoxlabelMoin4:SetBlendMode(Turbine.UI.BlendMode.Overlay);

	if(settings["colorHandler"]["cGreen"] < 1 and settings["colorHandler"]["cGreen"] >= 0)then
		textBoxlabelMoin4:SetMouseVisible(true);
		textBoxlabelMoin4:SetVisible(true);
	else
		textBoxlabelMoin4:SetMouseVisible(false);
		textBoxlabelMoin4:SetVisible(false);
	end

	textBoxlabel1 = Turbine.UI.Label();
	textBoxlabel1:SetParent( ColorTesterWindow );
	textBoxlabel1:SetSize(100, 40); 
	textBoxlabel1:SetPosition(340, 60);
	textBoxlabel1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
	textBoxlabel1:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16);
	textBoxlabel1:SetText(") ;");
	textBoxlabel1:SetForeColor( Turbine.UI.Color.Gold);
	textBoxlabel1:SetVisible(true);

	textBoxlabel1 = Turbine.UI.Label();
	textBoxlabel1:SetParent( ColorTesterWindow );
	textBoxlabel1:SetSize(400, 100); 
	textBoxlabel1:SetPosition(50, 140);
	textBoxlabel1:SetText("");

	textBoxlabel1:SetBackColor( Turbine.UI.Color(tonumber(settings["colorHandler"]["cAlpha"]), 
													tonumber(settings["colorHandler"]["cRed"]), 
													tonumber(settings["colorHandler"]["cBlue"]), 
													tonumber(settings["colorHandler"]["cGreen"])));

	textBoxlabel1:SetVisible(true);
	textBoxlabel1:SetZOrder(10);

	textBoxlabel2 = Turbine.UI.Label();
	textBoxlabel2:SetParent( ColorTesterWindow );
	textBoxlabel2:SetSize(404, 104); 
	textBoxlabel2:SetPosition(48, 138);
	textBoxlabel2:SetText("");
	textBoxlabel2:SetBackColor( Turbine.UI.Color(1, 0.5, 0.5, 0.5));
	textBoxlabel2:SetVisible(true);

	-- + = 0x41000266
	-- - = 0x41000269


	buttonValider = Turbine.UI.Lotro.GoldButton();
	buttonValider:SetParent( ColorTesterWindow );
	buttonValider:SetPosition(ColorTesterWindow:GetWidth()/2 - 100, ColorTesterWindow:GetHeight() - 40);
	buttonValider:SetSize( 200, 20 );
	buttonValider:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	buttonValider:SetText( "Close The Window" );
	buttonValider:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	buttonValider:SetVisible(true);
	buttonValider:SetMouseVisible(true);

	buttonValider.MouseClick = function(sender, args)
		ColorTesterWindow:SetVisible(false);
	end

	textBoxlabelPlus1.MouseClick = function(sender, args)
		settings["colorHandler"]["cAlpha"] = tonumber(textBoxSlots1:GetText());
		settings["colorHandler"]["cAlpha"] = settings["colorHandler"]["cAlpha"] - tonumber(settings["colorHandler"]["cPas"]);
		if(settings["colorHandler"]["cAlpha"] < 0)then
			settings["colorHandler"]["cAlpha"] = 0;
		end
		UpdateWindow()
	end

	textBoxlabelMoin1.MouseClick = function(sender, args)
		settings["colorHandler"]["cAlpha"] = tonumber(textBoxSlots1:GetText());
		settings["colorHandler"]["cAlpha"] = settings["colorHandler"]["cAlpha"] + tonumber(settings["colorHandler"]["cPas"]);
		if(settings["colorHandler"]["cAlpha"] > 1)then
			settings["colorHandler"]["cAlpha"] = 1;
		end
		UpdateWindow();
	end

	textBoxlabelPlus2.MouseClick = function(sender, args)
		settings["colorHandler"]["cRed"] = tonumber(textBoxSlots2:GetText());
		settings["colorHandler"]["cRed"] = settings["colorHandler"]["cRed"] - tonumber(settings["colorHandler"]["cPas"]);
		if(settings["colorHandler"]["cRed"] < 0)then
			settings["colorHandler"]["cRed"] = 0;
		end
		UpdateWindow();
	end

	textBoxlabelMoin2.MouseClick = function(sender, args)
		settings["colorHandler"]["cRed"] = tonumber(textBoxSlots2:GetText());
		settings["colorHandler"]["cRed"] = settings["colorHandler"]["cRed"] + tonumber(settings["colorHandler"]["cPas"]);
		if(settings["colorHandler"]["cRed"] > 1)then
			settings["colorHandler"]["cRed"] = 1;
		end
		UpdateWindow();
	end

	textBoxlabelPlus3.MouseClick = function(sender, args)
		settings["colorHandler"]["cBlue"] = tonumber(textBoxSlots3:GetText());
		settings["colorHandler"]["cBlue"] = settings["colorHandler"]["cBlue"] - tonumber(settings["colorHandler"]["cPas"]);
		if(settings["colorHandler"]["cBlue"] < 0)then
			settings["colorHandler"]["cBlue"] = 0;
		end
		UpdateWindow();
	end

	textBoxlabelMoin3.MouseClick = function(sender, args)
		settings["colorHandler"]["cBlue"] = tonumber(textBoxSlots3:GetText());
		settings["colorHandler"]["cBlue"] = settings["colorHandler"]["cBlue"] + tonumber(settings["colorHandler"]["cPas"]);
		if(settings["colorHandler"]["cBlue"] > 1)then
			settings["colorHandler"]["cBlue"] = 1;
		end
		UpdateWindow();
	end

	textBoxlabelPlus4.MouseClick = function(sender, args)
		settings["colorHandler"]["cGreen"] = tonumber(textBoxSlots4:GetText());
		settings["colorHandler"]["cGreen"] = settings["colorHandler"]["cGreen"] - tonumber(settings["colorHandler"]["cPas"]);
		if(settings["colorHandler"]["cGreen"] < 0)then
			settings["colorHandler"]["cGreen"] = 0;
		end
		UpdateWindow();
	end

	textBoxlabelMoin4.MouseClick = function(sender, args)
		settings["colorHandler"]["cGreen"] = tonumber(textBoxSlots4:GetText());
		settings["colorHandler"]["cGreen"] = settings["colorHandler"]["cGreen"] + tonumber(settings["colorHandler"]["cPas"]);
		if(settings["colorHandler"]["cGreen"] > 1)then
			settings["colorHandler"]["cGreen"] = 1;
		end
		UpdateWindow();
	end
end

function UpdateWindow()
	SaveSettings();

	ColorTesterWindow:SetVisible(false);
	CreateMainWindow(colAlpha, colRed, ColBlue, ColGreen);
	ColorTesterWindow:SetVisible(true);
end
