------------------------------------------------------------------------------------------
-- create or load the settings
------------------------------------------------------------------------------------------
function LoadSettings()
	local _settings = PatchDataLoad(Turbine.DataScope.Server, "ColorTester_Settings", settings);
    if (_settings ~= nil) then 
		settings = _settings; 
	end
end
------------------------------------------------------------------------------------------
-- create the save settings
------------------------------------------------------------------------------------------
function SaveSettings()
	settings["windowPosition"]["xPos"] = tostring(ColorTesterWindow:GetLeft());
    settings["windowPosition"]["yPos"] = tostring(ColorTesterWindow:GetTop());
    settings["IconPosition"]["xPosIcon"] = tostring(MainMinimizedIcon:GetLeft());
   	settings["IconPosition"]["yPosIcon"] = tostring(MainMinimizedIcon:GetTop());
	settings["isMinimizeEnabled"]["isMinimizeEnabled"] = settings["isMinimizeEnabled"]["isMinimizeEnabled"];
	settings["isWindowVisible"]["isWindowVisible"] = settings["isWindowVisible"]["isWindowVisible"];
	settings["escEnable"]["escEnable"] = settings["escEnable"]["escEnable"];
	settings["shortcuts"]["Data1"] = settings["shortcuts"]["Data1"];

	settings["colorHandler"]["cAlpha"] = settings["colorHandler"]["cAlpha"];
	settings["colorHandler"]["cRed"] = settings["colorHandler"]["cRed"];
	settings["colorHandler"]["cBlue"] = settings["colorHandler"]["cBlue"];
	settings["colorHandler"]["cGreen"] = settings["colorHandler"]["cGreen"];
	settings["colorHandler"]["cPas"] = settings["colorHandler"]["cPas"];
   
   -- save the settings
	PatchDataSave( Turbine.DataScope.Server, "ColorTester_Settings", settings);
end